## python-troveclient 2.14.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
requests>=2.14.2 # Apache-2.0
simplejson>=3.5.1 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
keystoneauth1>=3.3.0 # Apache-2.0
six>=1.10.0 # MIT
python-swiftclient>=3.2.0 # Apache-2.0
python-mistralclient>=3.1.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0

=== debian/changelog ===
python-troveclient (1:2.14.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Feb 2018 08:42:44 -0500

python-troveclient (1:2.13.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/p/*: Dropped, no longer needed.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 16:24:57 +0000

=== debian/control ===
Source: python-troveclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-crypto,
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-httplib2 (>= 0.9.1),
 python-keystoneauth1 (>= 3.3.0),
 python-mistralclient (>= 1:3.1.0),
 python-mock (>= 2.0.0),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.17.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-prettytable (>= 0.7.1),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-simplejson (>= 3.5.1),
 python-six (>= 1.10.0),
 python-swiftclient (>= 1:3.2.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-crypto,
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-httplib2 (>= 0.9.1),
 python3-keystoneauth1 (>= 3.3.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1.0),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-troveclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-troveclient
Homepage: http://www.openstack.org
XS-Testsuite: autopkgtest

Package: python-troveclient
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-keystoneauth1 (>= 3.3.0),
 python-mistralclient (>= 1:3.1.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-requests (>= 2.14.2),
 python-simplejson (>= 3.5.1),
 python-six (>= 1.10.0),
 python-swiftclient (>= 1:3.2.0),
 ${misc:Depends},
 ${python:Depends},
Description: Client for OpenStack Database as a Service - Python 2.7
 Trove is Database as a Service for OpenStack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed.
 .
 This package contains the Python 2.7 module.

Package: python3-troveclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-keystoneauth1 (>= 3.3.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-requests (>= 2.14.2),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-swiftclient (>= 1:3.2.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Client for OpenStack Database as a Service - Python 3.x
 Trove is Database as a Service for OpenStack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed.
 .
 This package contains the Python 3.x module.

## python-troveclient 2.16.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
reno>=2.5.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0
httplib2>=0.9.1 # MIT

=== debian/changelog ===
python-troveclient (1:2.16.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 22:40:49 +0200

python-troveclient (1:2.16.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add skip-tests.patch taken from Ubuntu.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 15:18:43 +0200

python-troveclient (1:2.14.0-3) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 14:52:14 +0100

python-troveclient (1:2.14.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:56:30 +0000

python-troveclient (1:2.14.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 22:09:01 +0000

python-troveclient (1:2.12.0-2) unstable; urgency=medium

  * Added missing EPOCH for mistralclient.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Oct 2017 21:37:13 +0000

python-troveclient (1:2.12.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.
  * Blacklist test_module_create().

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2017 12:01:46 +0200

=== debian/control ===
Source: python-troveclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2) <!nodoc>,
Build-Depends-Indep:
 python-babel,
 python-coverage,
 python-fixtures,
 python-hacking,
 python-httplib2,
 python-keystoneauth1 (>= 3.4.0),
 python-mistralclient (>= 1:3.1.0),
 python-mock,
 python-openstackclient (>= 3.12.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 3.2.0),
 python-prettytable,
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0),
 python-simplejson,
 python-six,
 python-swiftclient (>= 1:3.1.0),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python3-babel,
 python3-fixtures,
 python3-httplib2,
 python3-keystoneauth1 (>= 3.4.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock,
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.17.0) <!nodoc>,
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 3.2.0),
 python3-prettytable,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-simplejson,
 python3-six,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-swiftclient (>= 1:3.1.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit (>= 1.1.0),
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-troveclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-troveclient.git
Homepage: http://www.openstack.org

Package: python-troveclient
Architecture: all
Depends:
 python-babel,
 python-keystoneauth1 (>= 3.4.0),
 python-mistralclient (>= 1:3.1.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable,
 python-requests (>= 2.14.2),
 python-simplejson,
 python-six,
 python-swiftclient (>= 1:3.1.0),
 ${misc:Depends},
 ${python:Depends},
Description: Client for OpenStack Database as a Service - Python 2.7
 Trove is Database as a Service for OpenStack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed.
 .
 This package contains the Python 2.7 module.

Package: python3-troveclient
Architecture: all
Depends:
 python3-babel,
 python3-keystoneauth1 (>= 3.4.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable,
 python3-requests (>= 2.14.2),
 python3-simplejson,
 python3-six,
 python3-swiftclient (>= 1:3.1.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Client for OpenStack Database as a Service - Python 3.x
 Trove is Database as a Service for OpenStack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'troveclient\.tests\.((?!.*test_v1_shell\.ShellTest\.test_module_create.*))'
endif

## python-troveclient 2.17.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7.2 # BSD
requests>=2.14.2 # Apache-2.0
simplejson>=3.5.1 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
keystoneauth1>=3.4.0 # Apache-2.0
six>=1.10.0 # MIT
python-swiftclient>=3.2.0 # Apache-2.0
python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0

=== debian/changelog ===
python-troveclient (1:2.17.0-0ubuntu3) focal; urgency=medium

  * d/p/skip-tests.patch: Refresh patch to ensure that tests are skipped
    for >= Python 3.7 rather than == (LP: #1870079).

 -- James Page <james.page@ubuntu.com>  Fri, 03 Apr 2020 11:39:23 +0100

python-troveclient (1:2.17.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/rules, d/python(3)-*, d/tests/control: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 10 Jul 2019 16:49:49 -0400

python-troveclient (1:2.17.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 14:47:32 -0500

python-troveclient (1:2.16.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/p/drop-sphinxcontrib-apidoc.patch: Drop sphinxcontrib.apidoc extension
    until package is available.
  * d/p/skip-tests.patch: Updated with failing Py3.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Aug 2018 14:03:46 -0400

python-troveclient (1:2.15.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control, d/compat: Bump debhelper compat to 10.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jun 2018 15:11:21 -0400

=== debian/control ===
Source: python-troveclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-fixtures (>= 3.0.0),
 python3-httplib2 (>= 0.9.1),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.2),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr,
 python3-swiftclient (>= 1:3.2.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit (>= 1.1.0),
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-troveclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-troveclient
Homepage: http://www.openstack.org
Testsuite: autopkgtest-pkg-python

Package: python3-troveclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-requests (>= 2.14.2),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-swiftclient (>= 1:3.2.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Client for OpenStack Database as a Service - Python 3.x
 Trove is Database as a Service for OpenStack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build

override_dh_auto_clean:
	python3 setup.py clean -a

override_dh_auto_build:
	python3 setup.py build --force

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'troveclient\.tests\.((?!.*test_v1_shell\.ShellTest\.test_module_create.*))'
endif

## python-troveclient 3.0.0

=== debian/changelog ===
python-troveclient (1:3.0.0-3) unstable; urgency=medium

  * Switched autopkgtest to Python 3 (Closes: #943228).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 12:16:16 +0200

python-troveclient (1:3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:51:14 +0200

python-troveclient (1:3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2019 14:00:38 +0200

python-troveclient (1:2.19.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 09:32:06 +0200

python-troveclient (1:2.17.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 14:38:16 +0200

python-troveclient (1:2.17.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 10:23:42 +0100

=== debian/control ===
Source: python-troveclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-httplib2,
 python3-keystoneauth1,
 python3-mistralclient,
 python3-mock,
 python3-openstackclient,
 python3-openstackdocstheme <!nodoc>,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-simplejson,
 python3-six,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-stestr,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-troveclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-troveclient.git
Homepage: http://www.openstack.org

Package: python3-troveclient
Architecture: all
Depends:
 python3-babel,
 python3-keystoneauth1,
 python3-mistralclient,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-simplejson,
 python3-six,
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Description: Client for OpenStack Database as a Service - Python 3.x
 Trove is Database as a Service for OpenStack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed.
 .
 This package contains the Python 3.x module.

## python-troveclient 5.1.1

=== debian/changelog ===
python-troveclient (1:5.1.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 17:30:15 +0200

python-troveclient (1:5.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Sep 2020 12:14:14 +0200

python-troveclient (1:5.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.
  * Removed skip-tests.patch.
  * Switched to debhelper-compat 11.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 22:42:49 +0200

python-troveclient (1:3.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:46:01 +0200

python-troveclient (1:3.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 21:25:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Corey Bryant <corey.bryant@canonical.com>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -22,7 +22,6 @@
  python3-httplib2,
  python3-keystoneauth1,
  python3-mistralclient,
- python3-mock,
  python3-openstackclient,
  python3-openstackdocstheme <!nodoc>,
  python3-osc-lib,

=== debian/tests/control ===
Tests: client
Depends:
 python3-troveclient,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-troveclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-troveclient 5.1.2

=== debian/changelog ===
python-troveclient (1:5.1.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Mon, 08 Aug 2022 09:06:12 +0000

## python-troveclient 7.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,9 +7,7 @@
 simplejson>=3.5.1 # MIT
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-Babel!=2.4.0,>=2.3.4 # BSD
 keystoneauth1>=3.4.0 # Apache-2.0
-six>=1.10.0 # MIT
 python-swiftclient>=3.2.0 # Apache-2.0
 python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
 osc-lib>=1.8.0 # Apache-2.0

=== debian/changelog ===
python-troveclient (1:7.0.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 23 Mar 2021 00:47:51 +0000

python-troveclient (1:7.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 10:45:33 -0400

python-troveclient (1:6.0.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 21 Jan 2021 15:32:07 +0000

python-troveclient (1:6.0.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 15:10:37 +0000

python-troveclient (1:5.1.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:39:02 -0400

python-troveclient (1:5.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 16:38:10 -0400

python-troveclient (1:5.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/p/skip-tests.patch: Removed.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 09:03:37 +0000

python-troveclient (1:4.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 11:01:00 +0000

python-troveclient (1:4.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.
  * d/p/skip-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 14:45:17 -0400

## python-troveclient 7.1.1

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
reno>=3.1.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
httplib2>=0.9.1 # MIT

=== debian/changelog ===
python-troveclient (1:7.1.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:54:47 -0400

python-troveclient (1:7.1.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 10:48:10 +0000

=== debian/control ===
Source: python-troveclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-fixtures (>= 3.0.0),
 python3-httplib2 (>= 0.9.1),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1) <!nodoc>,
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.2),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-simplejson (>= 3.5.1),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit (>= 1.1.0),
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-troveclient
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-troveclient
Homepage: https://www.openstack.org
Testsuite: autopkgtest-pkg-python

Package: python3-troveclient
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.4.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-requests (>= 2.14.2),
 python3-simplejson (>= 3.5.1),
 python3-swiftclient (>= 1:3.2.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Client for OpenStack Database as a Service - Python 3.x
 Trove is Database as a Service for OpenStack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,14 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=troveclient
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
+	dh_clean -O--buildsystem=pybuild
 	rm -rf .testrepository build
 
 override_dh_auto_clean:

## python-troveclient 8.0.0

=== debian/changelog ===
python-troveclient (1:8.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:45:48 +0200

python-troveclient (1:8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 14:03:51 +0200

python-troveclient (1:7.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 11:53:17 +0100

python-troveclient (1:7.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Feb 2022 09:29:16 +0100

python-troveclient (1:7.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:54:47 +0200

python-troveclient (1:7.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-openstackclient as depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Sep 2021 16:30:36 +0200

python-troveclient (1:7.0.0-2) unstable; urgency=medium

  * d/control: Add me to uploaders field
  * d/copyright: Add me to file
  * Upload to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 16 Aug 2021 11:14:00 +0200

python-troveclient (1:7.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 09:32:03 +0100

=== debian/control ===
Source: python-troveclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-httplib2,
 python3-keystoneauth1,
 python3-mistralclient,
 python3-openstackclient,
 python3-openstackdocstheme <!nodoc>,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-simplejson,
 python3-six,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-stestr,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-troveclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-troveclient.git
Homepage: http://www.openstack.org

Package: python3-troveclient
Architecture: all
Depends:
 python3-babel,
 python3-keystoneauth1,
 python3-mistralclient,
 python3-openstackclient,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-simplejson,
 python3-six,
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Description: Client for OpenStack Database as a Service - Python 3.x
 Trove is Database as a Service for OpenStack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf .testrepository build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'troveclient\.tests\.((?!.*test_v1_shell\.ShellTest\.test_module_create.*))'
endif

## python-troveclient 8.1.0

=== debian/changelog ===
python-troveclient (1:8.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048218).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 17:37:43 +0200

python-troveclient (1:8.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:27:52 +0200

python-troveclient (1:8.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:25:22 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_auto_clean:
-	rm -rf .testrepository build
+	rm -rf build .testrepository .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-troveclient 8.2.0

=== debian/changelog ===
python-troveclient (1:8.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 11:10:14 +0200

## python-troveclient 8.2.1

=== debian/changelog ===
python-troveclient (1:8.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Sep 2023 08:34:33 +0200

## python-troveclient 8.4.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-PrettyTable<0.8,>=0.7.2 # BSD
+PrettyTable>=0.7.2 # BSD
 requests>=2.14.2 # Apache-2.0
 simplejson>=3.5.1 # MIT
 oslo.i18n>=3.15.3 # Apache-2.0
@@ -11,3 +11,4 @@
 python-swiftclient>=3.2.0 # Apache-2.0
 python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
 osc-lib>=1.8.0 # Apache-2.0
+python-openstackclient>=3.12.0 # Apache-2.0

=== debian/changelog ===
python-troveclient (1:8.4.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 11 Mar 2024 15:57:52 +0000

python-troveclient (1:8.4.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 13:09:06 +0000

python-troveclient (1:8.2.1-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:32:11 -0400

python-troveclient (1:8.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Jul 2023 13:59:57 -0400

python-troveclient (1:8.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:31:12 -0500

python-troveclient (1:8.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 11:17:03 -0400

python-troveclient (1:7.3.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 17:09:56 -0400

=== debian/tests/control ===
Tests: client
Depends: python3-troveclient

## python-troveclient 8.6.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 PrettyTable>=0.7.2 # BSD
 requests>=2.14.2 # Apache-2.0
-simplejson>=3.5.1 # MIT
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 keystoneauth1>=3.4.0 # Apache-2.0
@@ -12,3 +11,4 @@
 python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
 osc-lib>=1.8.0 # Apache-2.0
 python-openstackclient>=3.12.0 # Apache-2.0
+stevedore>=2.0.1 # Apache-2.0

=== debian/changelog ===
python-troveclient (1:8.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-stevedore as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2024 10:24:04 +0200

python-troveclient (1:8.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-simplejson from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Aug 2024 10:26:30 +0200

python-troveclient (1:8.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:47:31 +0200

python-troveclient (1:8.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 16:30:01 +0100

python-troveclient (1:8.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 17:17:40 +0200

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
  python3-prettytable,
  python3-requests,
  python3-requests-mock,
- python3-simplejson,
  python3-six,
  python3-sphinxcontrib.apidoc <!nodoc>,
  python3-stestr,
+ python3-stevedore,
  python3-swiftclient,
  python3-testscenarios,
  python3-testtools,
@@ -58,8 +58,8 @@
  python3-pbr,
  python3-prettytable,
  python3-requests,
- python3-simplejson,
  python3-six,
+ python3-stevedore,
  python3-swiftclient,
  ${misc:Depends},
  ${python3:Depends},

## python-troveclient 8.8.0

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,3 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 PrettyTable>=0.7.2 # BSD
 requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
python-troveclient (1:8.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 12:46:34 +0100

python-troveclient (1:8.8.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 12:16:21 +0100

python-troveclient (1:8.6.0-5) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090629).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 22:05:55 +0100

python-troveclient (1:8.6.0-4) unstable; urgency=medium

  * Removed python3-six from (build-)depends (Closes: #1083033).

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Oct 2024 22:46:02 +0200

python-troveclient (1:8.6.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 00:25:52 +0200

python-troveclient (1:8.6.0-2) unstable; urgency=medium

  * Removed /usr/bin alternative removal in {pre,post}rm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:51:25 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,6 @@
  python3-prettytable,
  python3-requests,
  python3-requests-mock,
- python3-six,
  python3-sphinxcontrib.apidoc <!nodoc>,
  python3-stestr,
  python3-stevedore,
@@ -58,7 +57,6 @@
  python3-pbr,
  python3-prettytable,
  python3-requests,
- python3-six,
  python3-stevedore,
  python3-swiftclient,
  ${misc:Depends},

## python-troveclient 8.9.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
reno>=3.1.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
httplib2>=0.9.1 # MIT

=== debian/changelog ===
python-troveclient (1:8.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:57:20 +0200

python-troveclient (1:8.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Sep 2025 18:53:28 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	rm -rf build .testrepository .stestr *.egg-info

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-troveclient refs/tags/(\d[brc\d\.]+)

## python-troveclient 8.10.0

=== debian/changelog ===
python-troveclient (1:8.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 14:27:59 +0100

python-troveclient (1:8.9.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048218).
  * Blacklist ShellTest.test_help and ShellTestKeystoneV3.test_help.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 10:27:15 +0100
